MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Ingest Request TelemetryResolve Bundle
Bundles
Catalog
Deployments
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceBundler

Resolve Bundle

GET
/v1/bundler/resolve

Validate a bundle access token and return the fully resolved MCP configuration list with decrypted credentials. Consumed by the mcpbundler daemon at connection time.

Authorization

BundleAccessToken
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/bundler/resolve"
{  "bundleId": "string",  "name": "string",  "mcps": [    {      "namespace": "string",      "url": "string",      "description": "string",      "pooled": false,      "authStrategy": "string",      "auth": {        "method": "string",        "token": "string",        "username": "string",        "password": "string",        "key": "string",        "header": "string"      },      "permissions": {        "allowedTools": [          "string"        ],        "allowedResources": [          "string"        ],        "allowedPrompts": [          "string"        ]      },      "capabilities": [],      "tools": []    }  ],  "router": {    "model": "string",    "llm": {      "name": "string",      "type": "openai-compatible",      "model": "string",      "endpoint": "string",      "api_key": "string",      "temperature": 0,      "max_tokens": 0,      "timeout_ms": 0    },    "rolling_window": {},    "set_context": {}  }}
Empty
Empty

Ingest Request Telemetry

Previous Page

Bundles

Endpoints in the Bundles group.